%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version:        7.0.9
Release:        8%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.0.9
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-Remove-the-default-ControllerConfig.patch
Patch0003: 0003-downstream-only-Keep-existing-Compute-role-hostname-.patch
Patch0004: 0004-Downstream-only-Merge-puppet-and-config-resources.patch
Patch0005: 0005-Downstream-only-Disable-Neutron-containers-for-OSP12.patch
Patch0006: 0006-Downstream-only-Disable-Cinder-HA-containers-for-OSP.patch
Patch0007: 0007-Default-supported-services-to-docker.patch
Patch0008: 0008-Downstream-only-Disable-iscsid-and-multipathd-contai.patch
Patch0009: 0009-Downstream-only-Migrates-storage-environment.yaml-to.patch
Patch0010: 0010-Remove-hardcoded-docker-image-names.patch
Patch0011: 0011-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0012: 0012-Disable-containerised-plugins-we-don-t-ship.patch
Patch0013: 0013-Disabling-lbaas-and-fwaas-plugins-we-don-t-ship.patch
Patch0014: 0014-Override-default-fluentd-service-implementation.patch
Patch0015: 0015-Fix-copy-paste-typo.patch
Patch0016: 0016-downstream-only-environments-document-OSP-deployment.patch
Patch0017: 0017-downstream-only-Keep-existing-Compute-hostname.patch
Patch0018: 0018-Add-CephClient-and-CephExternal-to-the-Telemetry-rol.patch
Patch0019: 0019-Do-not-use-the-3rd-argument-of-yaql-groupBy.patch
Patch0020: 0020-Unify-the-Cinder-HA-and-non-HA-docker-configurations.patch
Patch0021: 0021-swift_rsync-don-t-bind-mount-run.patch
Patch0022: 0022-Fix-a-typo-in-docker_puppet_apply.sh.patch
Patch0023: 0023-Add-live-restore-to-the-docker_options-in-puppet-ser.patch
Patch0024: 0024-Improve-the-minor-update-of-the-docker-service.patch
Patch0025: 0025-Make-the-minor-update-for-docker-idempotent.patch
Patch0026: 0026-pike-Handle-update-path-for-swift-log-directories.patch
Patch0027: 0027-Add-access-to-var-run-openvswitch-from-collectd.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python-pbr

Requires:       PyYAML
Requires:       python-jinja2
Requires:       python-six
Requires:       openstack-tripleo-common >= 7.1.0

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Wed Mar 21 2018 Mike Burns <mburns@redhat.com> 7.0.9-8
- Add access to /var/run/openvswitch from collectd (rhbz#1558639)

* Tue Mar 13 2018 Jiri Stransky <jistr@redhat.com> 7.0.9-7
- [pike] Handle update path for swift log directories (rhbz#1542936)

* Thu Mar 08 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-6
- Make the minor update for docker idempotent (rhbz#1542936)
- Improve the minor update of the docker service (rhbz#1542936)
- Add --live-restore to the docker_options in puppet/services/docker.yaml (rhbz#1542936)

* Wed Mar 07 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-5
- Fix a typo in docker_puppet_apply.sh (rhbz#1552466)

* Tue Mar 06 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-4
- swift_rsync: don't bind mount /run (rhbz#1546807)

* Fri Feb 23 2018 Alan Bishop <abishop@redhat.com> 7.0.9-3
- Unify the Cinder HA and non-HA docker configurations (rhbz#1543641)

* Thu Feb 22 2018 Alex Schultz <aschultz@redhat.com> 7.0.9-2
- Do not use the 3rd argument of yaql groupBy (rhbz#1547955)

* Fri Feb 16 2018 Thierry Vignaud <tvignaud@redhat.com> 7.0.9-1
- Update to 7.0.9

* Wed Feb 07 2018 Alex Schultz <aschultz@redhat.com> 7.0.3-24
- [downstream only] Keep existing Compute hostname (rhbz#1542537)
- Correct indentation of docker_puppet_apply.sh run (rhbz#1540565)
- Search for containers within stopped containers. (rhbz#1523707)
- Use docker_config_scripts for puppet apply (rhbz#1538875)
- Wait for rabbitmq_ready tag (rhbz#1538875)
- Run rabbitmq_policy,rabbitmq_user with pacemaker (rhbz#1538875)
- Add proper debug switch on init_bundles (rhbz#1538875)
- Add modulepath option when applying puppet inside docker. (rhbz#1523272)
- Redis replication does not work with TLS (rhbz#1538875)
- [downstream-only] environments: document OSP deployments (rhbz#1537725

* Thu Jan 18 2018 Martin Mágr <mmagr@redhat.com> 7.0.3-22
- Fix copy-paste typo (rhbz#1512920)

* Fri Jan 12 2018 Martin Mágr <mmagr@redhat.com> 7.0.3-21
- Override default fluentd service implementation (rhbz#1512920)

* Tue Jan 09 2018 Jon Schlueter <jschluet@redhat.com> 7.0.3-20
- Passes NodeDataLookup to ceph-ansible workflow (rhbz#1520004)
- Add CephAnsiblePlaybookVerbosity parameter to overcloud-ceph-ansible (rhbz#1520004)
- Make CephPools override properties of other pools (rhbz#1520467)
- Make CephPools type json instead of list (rhbz#1516389)
- OVN: Provide the option to define NeutronBridgeMappings as a role parameter (rhbz#1510879)

* Thu Dec 14 2017 Harry Rybacki <hrybacki@redhat.com> 7.0.3-19
- Add missing keystone_domain_config (rhbz#1519057)

* Thu Nov 30 2017 Mike Burns <mburns@redhat.com> 7.0.3-18
- Add ComputeAlt role and environment (rhbz#1513109)

* Tue Nov 28 2017 Oliver Walsh <owalsh@redhat.com> 7.0.3-17
- docker/internal TLS: spawn extra container for ec2api TLS proxy (rhbz#1513437)
- Enable TLS for ec2api metadata service (rhbz#1513437)
- Enable TLS for ec2api service (rhbz#1513437)

* Tue Nov 28 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-16
- Ensure os-net-config conditional for upgrade does not fail. (rhbz#1516890)

* Tue Nov 28 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-15
- Fix wrong logic for triggering os-net-config special handling. (rhbz#1516867)

* Mon Nov 27 2017 Oliver Walsh <owalsh@redhat.com> 7.0.3-14
- Re-enable libvirt TLS with SCRAM SHA-1 auth (rhbz#1513440)

* Fri Nov 24 2017 Martin André <m.andre@redhat.com> 7.0.3-13
- Add DeployIdentifier to Nova discover hosts container (rhbz#1516429)
- Fix glance config generation when using NFS (rhbz#1514059)

* Wed Nov 22 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-12
- Stop the object-expirer service before removing swift-proxy (rhbz#1470041)
- Add condition to os-net-config run during upgrade.
- Do not set cluster in maintenance mode during split stack upgrade (rhbz#1503756)
- Fix all outputs|failed and outputs is defined (rhbz#1516204)

* Tue Nov 21 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-11
- Remove rsync from xinetd when upgrading to containerized deployment (rhbz#1493298)
- Format SwiftRawDisks before attempting to mount (rhbz#1508476)
- Update ansible before the ansible upgrade tasks (rhbz#1504274)
- Set metric procssing delay for metricd (rhbz#1414271)
- Set host name explicitly for telemetry (rhbz#1483456)

* Mon Nov 20 2017 Alan Bishop <abishop@redhat.com> 7.0.3-10
- Update Iscsid puppet_config to reset host's IQN (rhbz#1417645)
- Fix cinder-{backup,volume} container with pacemaker (rhbz#1417645)

* Fri Nov 17 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-9
- Disabling lbaas and fwaas plugins we don't ship (rhbz#1514412)

* Thu Nov 16 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-8
- Enable ntp iburst (rhbz#1506683)

* Thu Nov 16 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-7
- Fix rights to local_settings.d for dockerized Horizon (rhbz#1503804)
- Fix /etc/openstack-dashboard/ permissions for access to *policy.json (rhbz#1503806)
- Disable containerised plugins we don't ship (rhbz#1497284)
- Enable horizon plugins by default in docker (rhbz#1497284)
- Configure docker0 bridge address (rhbz#1503021)

* Tue Nov 14 2017 Oliver Walsh <owalsh@redhat.com> 7.0.3-6
- Update default cell_v2 cell when it already exists (rhbz#1477770)
- Disable live migration over TLS (rhbz#1510216)
- Refactor cellv2 host discovery logic to avoid races (rhbz#1480326)
- Set bind mount propegatation to shared for /var/lib/nova. (rhbz#1503214)
- Only mount selinux sysfs in nova_libvirt container (rhbz#1495599)
- nova-placement: switch auth_uri to keystone versionless endpoint (rhbz#1434931)

* Tue Nov 14 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-5
- [Downstream-only] Default plugins list for Sahara (rhbz#1351996)

* Tue Nov 14 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-4
- Add --detailed-exitcodes when running puppet via ansible (rhbz#1501852)

* Tue Nov 14 2017 Thierry Vignaud <tvignaud@redhat.com> 7.0.3-4
- [Downstream only] Migrates storage-environment.yaml to ceph-ansible (rhbz#1502862)
- [Downstream only] - Disable iscsid and multipathd containers for OSP12 (rhbz#1484467)
- [downstream only] Keep existing Compute role hostname in OSP11
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1406869)
- Fix iptables rules override bug in clustercheck docker service
- mysql: Only set certificate specs if TLS everywhere is enabled
- Update CephPools format in the docker templates to fit ceph-ansible

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-2
- Remove hardcoded docker image names (rhbz#1509324)
- [Downstream only] Migrates storage-environment.yaml to ceph-ansible (rhbz#1502862)
- Fix standalone ControllerOpenstack vars (rhbz#1500544)
- Enable Cinder as a backend for Glance (rhbz#1293435)
- Set ipc=host for services attaching encrypted volumes (rhbz#1487920)
- [Downstream only] - Disable iscsid and multipathd containers for OSP12 (rhbz#1484467)
- Default supported services to docker
- [Downstream only] - Disable Cinder HA containers for OSP12
- [Downstream only] - Disable Neutron containers for OSP12
- [Downstream only] - Merge puppet and config resources. (rhbz#1450403)
- [downstream only] Keep existing Compute role hostname in OSP11
- Remove the default ControllerConfig
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1406869)

* Fri Nov 03 2017 RDO <dev@lists.rdoproject.org> 7.0.3-1
- Update to 7.0.3

* Tue Oct 10 2017 rdo-trunk <javier.pena@redhat.com> 7.0.2-1
- Update to 7.0.2

* Wed Oct 04 2017 rdo-trunk <javier.pena@redhat.com> 7.0.1-1
- Update to 7.0.1

* Thu Sep 14 2017 rdo-trunk <javier.pena@redhat.com> 7.0.0-1
- Update to 7.0.0

* Sun Sep 10 2017 rdo-trunk <javier.pena@redhat.com> 7.0.0-0.2.0rc1
- Update to 7.0.0.0rc2

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 7.0.0-0.1.0rc1
- Update to 7.0.0.0rc1

